Skip to content

Text to Video

Siraya AI simplifies video generation by providing a unified API for various state-of-the-art video models. Generate high-quality video content from simple text descriptions.

API Overview

Access multiple video generation providers through a single standard endpoint.

API Specification

To generate a video, send a POST request to labels /v1/videos/generations.

curl https://video.siraya.pro/v1/videos/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: <API_KEY>" \
  -d '{
    "model": "veo3-fast",
    "prompt": "A cute baby sea otter playing in the water",
    "output_format": "url"
  }'
import requests

url = "https://video.siraya.pro/v1/videos/generations"
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API_KEY>"
}
data = {
    "model": "veo3-fast",
    "prompt": "A cute baby sea otter playing in the water",
    "output_format": "url"
}

response = requests.post(url, headers=headers, json=data)
print(response.json())

Request Parameters

Parameter Type Default Description
model string - The ID of the video model (e.g., veo3-fast, sora-2).
prompt string - A descriptive text prompt for the video content.
output_format string url The output format, typically url.

Example Response

{
    "data": [
        {
            "url": "https://resource.siraya.pro/video/generated%2Fsiraya_123.mp4",
            "revised_prompt": ""
        }
    ],
    "created": 1760347750
}

Check our Available Models List for all supported text-to-video engines.